# $Revision: 1.9 $, $Date: 2005/01/05 23:43:28 $
Summary:	VoIP server for gamers
Summary(pl):	Serwer VoIP dla graczy
Name:		ts2
Version:	rc2_20201
Release:	3
Epoch:		1
License:	redistributable for non-commercial use
Group:		Networking/Daemons
Source0:	ftp://ftp.freenet.de/pub/4players/teamspeak.org/releases/ts2_server_%{version}.tar.bz2
# Source0-md5:	e1f0dace646affc80c1e0d83fa7f9161
Source1:	%{name}.init
URL:		http://www.goteamspeak.com/
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	uid	139
%define	_localstatedir	/var/lib/tss

%description
TeamSpeak was primarily designed to work for people who are behind a
NAT router (share internet). Further more it was designed for gamers.
That mean to us it had to use as little bandwidth as possible, while
having a reasonable voice quality. The authors think they achieved
that with the 650 bytes/s maximum CELP codec.

%description -l pl
TeamSpeak zosta zaprojektowany gwnie do pracy dla ludzi za
routerami z maskowaniem adresw (dzielcymi Internet). Ponadto by
pomylany dla graczy. Oznacza to, e ma zuywa jak najmniej pasma,
zapewniajc rozsdn jako gosu. Autorzy uwaaj, e osignli to
przy pomocy kodeka CELP z maksimum 650 bajtw/sekund.

%prep
%setup -q -n tss2_rc2

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d \
	$RPM_BUILD_ROOT%{_libdir}/tss/{,{mysql,sqlite}_sql,tcpquerydocs} \
	$RPM_BUILD_ROOT%{_datadir}/tss \
	$RPM_BUILD_ROOT%{_localstatedir}/tss \

install server_linux $RPM_BUILD_ROOT%{_libdir}/tss/tss
install *.so $RPM_BUILD_ROOT%{_libdir}/tss
install mysql_sql/* $RPM_BUILD_ROOT%{_libdir}/tss/mysql_sql
install sqlite_sql/* $RPM_BUILD_ROOT%{_libdir}/tss/sqlite_sql

cp -a httpdocs $RPM_BUILD_ROOT%{_datadir}/tss
cp -a tcpquerydocs $RPM_BUILD_ROOT%{_datadir}/tss

> $RPM_BUILD_ROOT%{_localstatedir}/bad_names.txt
> $RPM_BUILD_ROOT%{_localstatedir}/server.dbs
> $RPM_BUILD_ROOT%{_localstatedir}/server.ini
> $RPM_BUILD_ROOT%{_localstatedir}/server.log

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/tss

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`/bin/id -u tss 2>/dev/null`" ]; then
	if [ "`/bin/id -u tss`" != "%{uid}" ]; then
		echo "Error: user tss doesn't have uid=%{uid}. Correct this before installing %{name}." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u %{uid} \
		-d /var/lib/tss -s /bin/sh -g daemon \
		-c "TeamSpeak Server" tss 1>&2
fi

%post
/sbin/chkconfig --add tss
if [ -f /var/lock/subsys/tss ]; then
	/etc/rc.d/init.d/tss restart >&2
else
	echo "Run \"/etc/rc.d/init.d/tss start\" to start TeamSpeak." >&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/tss ]; then
		/etc/rc.d/init.d/tss stop
	fi
	/sbin/chkconfig --del tss
fi

%postun
if [ "$1" = "0" ]; then
    %userremove tss
fi

%files
%defattr(644,root,root,755)
%doc README changelog.txt
%doc INSTALL INSTALL.mysql
%attr(754,root,root) /etc/rc.d/init.d/tss

%dir %attr(755,root,root) %{_libdir}/tss
%attr(755,root,root) %{_libdir}/tss/tss
%attr(755,root,root) %{_libdir}/tss/*.so

%dir %attr(755,root,root) %{_libdir}/tss/mysql_sql
%attr(644,root,root) %{_libdir}/tss/mysql_sql/*.sql
%dir %attr(755,root,root) %{_libdir}/tss/sqlite_sql
%attr(644,root,root) %{_libdir}/tss/sqlite_sql/*.sql

%{_datadir}/tss

%dir %attr(700,tss,root) %{_localstatedir}
%ghost %attr(700,tss,root) %{_localstatedir}/bad_names.txt
%ghost %attr(700,tss,root) %{_localstatedir}/server.dbs
%ghost %attr(700,tss,root) %{_localstatedir}/server.ini
%ghost %attr(700,tss,root) %{_localstatedir}/server.log

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ts2.spec,v $
Revision 1.9  2005/01/05 23:43:28  glen
- restart correct service. bah!
- rel 3

Revision 1.8  2005/01/03 11:42:48  glen
- update URL and Source0

Revision 1.7  2005/01/02 20:30:36  glen
- rel 2; STBR

Revision 1.6  2005/01/01 21:11:22  glen
- version rc2_20201 (epoch bump was needed)
- run under tss user

Revision 1.5  2003/05/28 13:02:22  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:27:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/09 08:24:26  qboosh
- x86-only (no sources)

Revision 1.2  2003/05/08 22:18:51  qboosh
- pl description, cleanups

Revision 1.1  2003/05/08 01:32:59  undefine
- initial pld version

* Wed May 1 2002 Kenneth Porter <shiva@sewingwitch.com>
- 1.0.2.
- First packaging
